#include<stdio.h>
#include<conio.h>
#include"a823.h"

int Base=0x220;
int Dma=1;
int Irq=15;
int Buf[1000];

void main(void)
{ int err;
  int quit=0;
  int i;
  float rate=5.0/2048.0;
  int c1,c2;

  err=A823_Initialize(0,Base,Dma,Irq);
  if(err){
     if(err==CheckBoardError){
	printf("Address 0 Error!\n");
     }
     else if(err==CardNumError){
	printf("Card Number Error!(range:0-7)\n");
     }
     return;
  }
  printf("\nCard 0 [DMA test]\n");
  A823_AD_SetChGainMode(0,A823_BI_1,DMA_MODE);
  c2=6;
  quit=0;
  while(!quit){
     A823_AD_DMA_Start(Buf,1000,c2);
     while(A823_AD_DMA_Status()){
	if(kbhit() && getch()==27) {
	   quit=1;
	   break;
	}
     };
     A823_AD_DMA_Stop();
     if(kbhit() && getch()==27) break;
     for(i=0;i<1000;i+=100){
	 Buf[i]&=0xfff;   /* in DMA mode must change bit 12 to 0 */
	 cprintf("[%3d]%6.3f\n\r",i,rate*(Buf[i]-2048));
     }
  }
}
